maptool(1)

NAME
maptool - parse osm textfile and convert to Navit binfile format

SYNOPSIS
For OSM XML data: bzcat planet.osm.bz2 | maptool mymap.bin [-h] [-2] [-5 <file>] [-6] [-a <level>] [-c] -[-d <connect string] [-e <phase>] [-i <file>] [-k] [-M] [-N] [-o] [-r <file>] [-s <phase>] [-S <size>] [-w] [-W] [-U] [-z <level>] For OSM Protobuf/PBF data: maptool --protobuf -i planet.osm.pbf planet.bin [-h] [-2] [-5 <file>] [-6] [-a <level>] [-c] [-e <phase>] [-i <file>] [-k] [-M] [-N] [-o] [-P] [-r <file>] [-s <phase>] [-S <size>] [-w] [-W] [-U] [-z <level>]

DESCRIPTION
maptool parses osm textfile and converts it to Navit binfile format

OPTIONS

-h (--help)
    display a short help message

-2 (--dowai2poi)
    convert ways and polygons to POIs when applicable

-4 (--md5)
    set file where to write md5 sum

-6 (--64bit)
    set zip 64 bit compression

-a (--attr-debug-level) <level>
    control which data is included in the debug attribute

-c (--dump-coordinates)
    dump coordinates after phase 1

-d (--db) <connect string>
    get osm data out of a postgresql database with osm simple scheme and given connect string

-e (--end) <phase>
    end at specified phase

-i (--input-file) <file>
    specify the input file name (OSM), overrules default stdin

-k (--keep-tmpfiles)
    do not delete tmp files after processing. useful to reuse them

-N (--nodes-only)
    process only nodes

-o (--coverage)
    converts every street to street_converage, resulting in a big fat black line. You can overlay this map with another vector map or image map, and every street you will still see is missing in the -o map

-P (--protobuf)
    input file is protobuf

-r (--rule-file) <file>
    read mapping rules from specified file

-s (--start) <phase>
    start at specified phase

-S (--slice-size) <phrase>
    defines the amount of memory to use, in bytes. Default is 1GB

-w (--dedupe-ways)
    ensure no duplicate ways or nodes. useful when using several input files

-W (--ways-only)
    process only ways

-U (--unknown-country)
    add objects with unknown country to index

-z (--compression-level) <level>
    set the compression level

BUGS
Should you find one, please report it :
 http://trac.navit-project.org

AUTHOR
The navit Team - http://www.navit-project.org

SEE ALSO
navit(1)